class Pool():
    def __init__(self, id, tier):
        self.tier = tier
        self.id = id
        self.players = []

    def addPlayer(self, player):
        self.players.append(player)

    def __str__(self):
        header = str(self.tier) + " #" + str(self.id)
        players = "@" + str(self.players[0])
        for player in range(1, len(self.players)):
            players += " / @" + str(self.players[player])
        return header + "\n" + players + "\n"
    
    def toString(self):
        header = str(self.tier) + " #" + str(self.id) + ":\n"
        for p1 in range(len(self.players) - 1):
            for p2 in range(p1 + 1, len(self.players)):
                header += str(self.players[p1]) + " vs " + str(self.players[p2]) + "\n"
        return header